import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import { BatchGetMetricsCommandInput, BatchGetMetricsCommandOutput } from "../commands/BatchGetMetricsCommand";
import { BatchPutMetricsCommandInput, BatchPutMetricsCommandOutput } from "../commands/BatchPutMetricsCommand";
/**
 * serializeAws_restJson1BatchGetMetricsCommand
 */
export declare const se_BatchGetMetricsCommand: (input: BatchGetMetricsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1BatchPutMetricsCommand
 */
export declare const se_BatchPutMetricsCommand: (input: BatchPutMetricsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * deserializeAws_restJson1BatchGetMetricsCommand
 */
export declare const de_BatchGetMetricsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchGetMetricsCommandOutput>;
/**
 * deserializeAws_restJson1BatchPutMetricsCommand
 */
export declare const de_BatchPutMetricsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchPutMetricsCommandOutput>;
